Bug 869189 - unoconv is missing
unoconv is missing
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: releng (Show other bugs)
7.0
All Linux
unspecified Severity medium
: beta
: 7.0
Assigned To: Daniel Mach
Release Test Team
:
: 837234 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-10-23 04:49 EDT by Vladimir Benes
Modified: 2014-06-13 08:49 EDT (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-06-13 08:49:28 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Vladimir Benes 2012-10-23 04:49:57 EDT
Description of problem:
we need unoconv to allow gnome-documents to render office documents
Comment 1 Vladimir Benes 2012-10-23 04:59:32 EDT
*** Bug 837234 has been marked as a duplicate of this bug. ***
Comment 2 Bill Nottingham 2012-11-02 16:14:17 EDT
Cosimo - should gnome-documents Require: this?

Caolan - are you (or someone on your team) willing to maintain this?
Comment 3 Caolan McNamara 2012-11-03 10:19:42 EDT
caolanm->notting: dtardon (on our team) is unoconv fedora maintainer, so he'd be the natural choice for rhel maintainer.
Comment 4 Bill Nottingham 2012-11-05 17:49:16 EST
OK. Do you think it's a reasonable package for RHEL?
Comment 5 Vladimir Benes 2012-11-06 03:52:33 EST
(In reply to comment #4)
> OK. Do you think it's a reasonable package for RHEL?

it's needed by gnome-documents. As otherwise this limits online documents feature a lot. So yes, it's reasonable package!
Comment 6 Cosimo Cecchi 2012-11-06 10:54:20 EST
(In reply to comment #2)
> Cosimo - should gnome-documents Require: this?

Yeah I think it should - It looks to me like we could also use the Libreoffice binary directly in headless mode to perform the conversion, instead of depending on unoconv, but that's what ultimately unoconv does already. I don't think it's worth trying to avoid the dependency (and if it proves to be problematic we can always change this in the future).
Comment 7 Bill Nottingham 2012-11-06 13:55:33 EST
OK. releng, can you import this?
Comment 8 Daniel Mach 2012-11-07 03:13:22 EST
unoconv-0.5-2.el7 is already in
Comment 9 Martin Banas 2013-01-15 08:21:05 EST
Hi Daniel,

I don't see unoconv package in latest nightly (RHEL-7.0-20130109.n.0), could you please check what's wrong?

Thanks
Comment 10 Daniel Mach 2013-01-15 08:30:32 EST
Bill, can you add it to comps?
I think it's the reason why it doesn't get pulled in.
Comment 11 Bill Nottingham 2013-01-15 08:38:08 EST
Added where gnome-documents is.
Comment 12 Vladimir Benes 2013-01-16 08:04:10 EST
unoconv-0.6-1.el7.noarch now in the tree and working
-> VERIFIED
Comment 13 Ludek Smid 2014-06-13 08:49:28 EDT
This request was resolved in Red Hat Enterprise Linux 7.0.

Contact your manager or support representative in case you have further questions about the request.

Note You need to log in before you can comment on or make changes to this bug.